const api = require('../../../../utils/api.js');
const login = require('../../../../utils/index.js');
Page({

  /**
   * 页面的初始数据
   */
  data: {
    data: [{ 'title': '整体满意度' }, { 'title': '去现场次数满意度' }, { 'title': '办事指南符合度' }, { 'title': '办事效率' }, { 'title': '服务质量' }, { 'title': '网上体验' }],
    items: [{ 'index': 1, 'name': '非常不满意' }, { 'index': 2, 'name': '不满意' }, { 'index': 2, 'name': '一般' }, { 'index': 3, 'name': '满意' }, { 'index': 4, 'name': '非常满意' }]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let that=this
    wx.request({
      url: api.evaluateInfo,
      data: { unid: options.unid},
      success(res){
        //整体满意度
        that.data.data[0].ind = parseInt(res.data.data.satisfactionEvaluate) - 1
        that.data.data[0].name = that.data.items[parseInt(res.data.data.satisfactionEvaluate)-1].name
        //去现场次数满意度
        that.data.data[1].ind = parseInt(res.data.data.errandNoEvaluate) - 1
        that.data.data[1].name = that.data.items[parseInt(res.data.data.errandNoEvaluate) - 1].name
        //办事指南符合度
        that.data.data[2].ind = parseInt(res.data.data.guideEvaluate) - 1
        that.data.data[2].name = that.data.items[parseInt(res.data.data.guideEvaluate) - 1].name
        //办事效率
        that.data.data[3].ind = parseInt(res.data.data.efficiencyEvaluate) - 1
        that.data.data[3].name = that.data.items[parseInt(res.data.data.efficiencyEvaluate) - 1].name
        //服务质量
        that.data.data[4].ind = parseInt(res.data.data.serviceQualityEvaluate) - 1
        that.data.data[4].name = that.data.items[parseInt(res.data.data.serviceQualityEvaluate) - 1].name
        //网上体验
        that.data.data[5].ind = parseInt(res.data.data.onlineExperienceEvaluate) - 1
        that.data.data[5].name = that.data.items[parseInt(res.data.data.onlineExperienceEvaluate) - 1].name
        that.setData({
          data:that.data.data,
          assess: res.data.data
        })
      }
    })
  },
  textarea: function (e) {
    this.data.text = e.detail.value
  },
  assess: function (e) {
    console.log(e)
    this.data.data[e.currentTarget.dataset.index].ind = e.currentTarget.dataset.ind
    this.data.data[e.currentTarget.dataset.index].name = this.data.items[e.currentTarget.dataset.ind].name
    this.setData({
      data: this.data.data
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})